---
agentTools:
  projectIndex: https://sendinblue.readme.io/llms.txt
---

# Get all deals

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "contact": {
      "email": "contact@brevo.com",
      "name": "Brevo Support",
      "url": "https://account.brevo.com/support"
    },
    "description": "Brevo provide a RESTFul API that can be used with any languages. With this API, you will be able to :\n  - Manage your campaigns and get the statistics\n  - Manage your contacts\n  - Send transactional Emails and SMS\n  - and much more...\n\nYou can download our wrappers at https://github.com/orgs/brevo\n**Possible responses**\n  | Code | Message |\n  | :-------------: | ------------- |\n  | 200  | OK. Successful Request  |\n  | 201  | OK. Successful Creation |\n  | 202  | OK. Request accepted |\n  | 204  | OK. Successful Update/Deletion  |\n  | 400  | Error. Bad Request  |\n  | 401  | Error. Authentication Needed  |\n  | 402  | Error. Not enough credit, plan upgrade needed  |\n  | 403  | Error. Permission denied  |\n  | 404  | Error. Object does not exist |\n  | 405  | Error. Method not allowed  |\n  | 406  | Error. Not Acceptable  |\n  | 422  | Error. Unprocessable Entity |\n",
    "license": {
      "name": "MIT",
      "url": "http://opensource.org/licenses/MIT"
    },
    "title": "Brevo API",
    "version": "3.0.0"
  },
  "servers": [
    {
      "url": "https://api.brevo.com/v3"
    }
  ],
  "security": [
    {
      "api-key": []
    },
    {
      "partner-key": []
    }
  ],
  "paths": {
    "/crm/deals": {
      "get": {
        "parameters": [
          {
            "description": "Filter by attributes. If you have a filter for the owner on your end, please send it as filters[attributes.deal_owner] and utilize the account email for the filtering.",
            "in": "query",
            "name": "filters[attributes.deal_name]",
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Filter by linked companies ids",
            "in": "query",
            "name": "filters[linkedCompaniesIds]",
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Filter by linked companies ids",
            "in": "query",
            "name": "filters[linkedContactsIds]",
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Filter (urlencoded) the contacts modified after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). Prefer to pass your timezone in date-time format for accurate result.",
            "in": "query",
            "name": "modifiedSince",
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Filter (urlencoded) the contacts created after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). Prefer to pass your timezone in date-time format for accurate result.",
            "in": "query",
            "name": "createdSince",
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Index of the first document of the page",
            "in": "query",
            "name": "offset",
            "schema": {
              "format": "int64",
              "type": "integer"
            }
          },
          {
            "description": "Number of documents per page",
            "in": "query",
            "name": "limit",
            "schema": {
              "format": "int64",
              "type": "integer"
            }
          },
          {
            "description": "Sort the results in the ascending/descending order. Default order is **descending** by creation if `sort` is not passed",
            "in": "query",
            "name": "sort",
            "schema": {
              "enum": [
                "asc",
                "desc"
              ],
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "List of Deals",
                  "properties": {
                    "items": {
                      "description": "List of deals",
                      "items": {
                        "$ref": "#/components/schemas/Deal"
                      },
                      "type": "array"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Returns deals list with filters"
          },
          "400": {
            "$ref": "#/components/responses/errorModel"
          }
        },
        "summary": "Get all deals",
        "tags": [
          "Deals"
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "api-key": {
        "description": "The API key should be passed in the request headers as `api-key` for authentication.",
        "in": "header",
        "name": "api-key",
        "type": "apiKey"
      },
      "partner-key": {
        "description": "The partner key should be passed in the request headers as `partner-key` along with `api-key` pair for successful authentication of partner (Optional).",
        "in": "header",
        "name": "partner-key",
        "type": "apiKey"
      }
    },
    "schemas": {
      "Deal": {
        "description": "Deal Details",
        "properties": {
          "attributes": {
            "description": "Deal attributes with values",
            "example": {
              "amount": 12,
              "created_at": "2022-05-30T07:42:05.671Z",
              "deal_name": "testname",
              "deal_owner": "6093d2425a9b436e9519d034",
              "deal_stage": "9e577ff7-8e42-4ab3-be26-2b5e01b42518",
              "last_activity_date": "2022-06-06T08:38:36.000Z",
              "last_updated_date": "2022-06-06T08:38:36.761Z",
              "next_activity_date": null,
              "number_of_activities": 0,
              "number_of_contacts": 1,
              "pipeline": "6093d296ad1e9c5cf2140a58",
              "stage_updated_at": "2022-05-30T07:42:05.671Z"
            },
            "type": "object"
          },
          "id": {
            "description": "Unique deal id",
            "example": "629475917295261d9b1f4403",
            "type": "string"
          },
          "linkedCompaniesIds": {
            "description": "Companies ids for companies linked to this deal",
            "example": [
              "61a5ce58c5d4795761045990",
              "61a5ce58c5d4795761045991",
              "61a5ce58c5d4795761045992"
            ],
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "linkedContactsIds": {
            "description": "Contact ids for contacts linked to this deal",
            "example": [
              1,
              2,
              3
            ],
            "items": {
              "type": "integer"
            },
            "type": "array"
          }
        },
        "type": "object"
      }
    },
    "responses": {
      "errorModel": {
        "content": {
          "application/json": {
            "schema": {
              "properties": {
                "code": {
                  "description": "Error code displayed in case of a failure",
                  "enum": [
                    "invalid_parameter",
                    "missing_parameter",
                    "out_of_range",
                    "campaign_processing",
                    "campaign_sent",
                    "document_not_found",
                    "not_enough_credits",
                    "permission_denied",
                    "duplicate_parameter",
                    "duplicate_request",
                    "method_not_allowed",
                    "unauthorized",
                    "account_under_validation",
                    "not_acceptable",
                    "bad_request",
                    "unprocessable_entity",
                    "Domain does not exist",
                    "Contact email not found",
                    "Attribute not found",
                    "Category id not found",
                    "Invalid parameters passed",
                    "Record(s) for identifier not found",
                    "Returned when query params are invalid",
                    "Returned when invalid data posted",
                    "Feed not found",
                    "Campaign ID not found",
                    "api-key not found",
                    "DMARC policy requires domain authentication",
                    "DNS records not properly configured",
                    "Invalid OTP code provided",
                    "OTP code has expired",
                    "Domain already exists in your account",
                    "The sum of all IP weights must equal 100",
                    "Authentication failed",
                    "Insufficient credits",
                    "Request already processed"
                  ],
                  "example": "method_not_allowed",
                  "type": "string"
                },
                "message": {
                  "description": "Readable message associated to the failure",
                  "example": "POST Method is not allowed on this path",
                  "type": "string"
                }
              },
              "required": [
                "code",
                "message"
              ],
              "type": "object"
            }
          }
        },
        "description": "bad request"
      }
    }
  },
  "x-samples-languages": [
    "curl"
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 91,
      "1": 104,
      "2": 180,
      "3": 205,
      "4": 240,
      "5": 82,
      "6": 207,
      "7": 0,
      "8": 3,
      "9": 36,
      "10": 63,
      "11": 142
    }
  }
}
```